From 3af6130cbc551b75b7c7433a5cd0dfb6b01071db Mon Sep 17 00:00:00 2001
From: "Jonathan S. Katz" <jonathan.katz@excoventures.com>
Date: Sat, 13 Oct 2018 15:59:10 -0400
Subject: [PATCH 2/2] Updates for PostgreSQL 11 Release notes.

Includes grammatical fixes and clarifications.

Author: Justin Pryzby
Reviewed-by: Jonathan Katz
---
 doc/src/sgml/release-11.sgml | 88 ++++++++++++++++++++++----------------------
 1 file changed, 43 insertions(+), 45 deletions(-)

diff --git a/doc/src/sgml/release-11.sgml b/doc/src/sgml/release-11.sgml
index ca42f28cc9..5df6a418e9 100644
--- a/doc/src/sgml/release-11.sgml
+++ b/doc/src/sgml/release-11.sgml
@@ -32,19 +32,19 @@
        <listitem>
         <para>
          <command>UPDATE</command> statements that change a partition key
-         now move affected rows to the appropriate partitions
+         now cause affected rows to be moved to the appropriate partitions
         </para>
        </listitem>
        <listitem>
         <para>
          Improved <command>SELECT</command> performance from enhanced partition
-         elimination strategies during query processing and execution
+         elimination strategies during query planning and execution
         </para>
        </listitem>
        <listitem>
         <para>
-         Support for <literal>PRIMARY KEY</literal>, <literal>FOREIGN
-         KEY</literal>, indexes, and triggers on partitioned tables
+         Added support on partitioned tables for <literal>PRIMARY
+         KEY</literal>, <literal>FOREIGN KEY</literal>, indexes, and triggers
         </para>
        </listitem>
        <listitem>
@@ -118,9 +118,9 @@
 
     <listitem>
      <para>
-      Many other useful performance improvements, including making
-      <command>ALTER TABLE .. ADD COLUMN</command> with a
-      non-null column default faster
+      Many other useful performance improvements, including a significant
+      speedup to the <command>ALTER TABLE .. ADD COLUMN</command> with a
+      non-null column default as it no longer rewrites the full table.
      </para>
     </listitem>
 
@@ -163,7 +163,7 @@
        </para>
 
        <para>
-        Previously database attributes like
+        Previously, database attributes like
         <command>GRANT</command>/<command>REVOKE</command> permissions and
         <command>ALTER DATABASE SET</command> and <command>ALTER ROLE IN
         DATABASE SET</command> variable settings were only dumped by <link
@@ -192,7 +192,7 @@
        <para>
         A restore of <application>pg_dumpall</application> will now create
         databases with their original locale and encoding, and will fail if
-        the creation fails.  Previously <command>CREATE DATABASE</command>
+        the creation fails.  Previously, <command>CREATE DATABASE</command>
         would be dumped without such specifications if the database locale
         and encoding matched the old cluster's defaults.
        </para>
@@ -317,7 +317,7 @@
        </para>
 
        <para>
-        Previously _bytes_ were skipped.
+        Previously, <emphasis>bytes</emphasis> were skipped.
        </para>
       </listitem>
 
@@ -353,7 +353,7 @@
        <para>
         Per the SQL standard, relative paths start from the document node of
         the XML input document, not the root node as these functions
-        formerly did it.
+        previously did.
        </para>
       </listitem>
 
@@ -450,7 +450,7 @@
        </para>
 
        <para>
-        Previously index options names like ("FillFactor" = 50) were
+        Previously, index options names like ("FillFactor" = 50) were
         automatically lower-cased.  This quoted capitalization will now
         generate an error.
        </para>
@@ -519,7 +519,8 @@
 -->
 
        <para>
-        Allow faster partition elimination during query processing (Amit
+        Allow faster partition elimination during query planning (Amit
+???
         Langote, David Rowley, Dilip Kumar)
        </para>
 
@@ -539,7 +540,7 @@
        </para>
 
        <para>
-        Previously partition elimination could only happen at planning
+        Previously, partition elimination could only happen at planning
         time, meaning many joins and prepared queries could not use
         partition elimination.
        </para>
@@ -653,7 +654,7 @@
 
        <para>
         Creation of a trigger on partitioned tables automatically creates
-        triggers on all partition tables, and on newly-created ones.
+        triggers on all existing and future partitions.
         This also allows deferred unique constraints on partitioned tables.
        </para>
       </listitem>
@@ -666,9 +667,8 @@
 -->
 
        <para>
-        Allow equality joins between partitioned tables with identically
-        partitioned child tables to join the child tables directly
-        (Ashutosh Bapat)
+        Allow partitioned tables to be joined directly for equality joins with
+        identically partitioned child tables.  (Ashutosh Bapat)
        </para>
 
        <para>
@@ -725,7 +725,7 @@
 -->
 
        <para>
-        Allow btree indexes to be built in parallel (Peter Geoghegan,
+        Allow parallel building of a btree index (Peter Geoghegan,
         Rushabh Lathia, Heikki Linnakangas)
        </para>
       </listitem>
@@ -867,7 +867,7 @@ same commits as above
        <para>
         Allow indexes to <link
         linkend="sql-createindex"><literal>INCLUDE</literal></link> columns
-        that are not part of the unique constraint but are available
+        that are not part of the indexed columns but are available
         for index-only scans (Anastasia Lubennikova, Alexander Korotkov,
         Teodor Sigaev)
        </para>
@@ -901,7 +901,7 @@ same commits as above
        </para>
 
        <para>
-        Previously for each hash index entry, we need to refind the scan
+        Previously, for each hash index entry, we needed to refind the scan
         position within the page.  This cuts down on lock/unlock traffic.
        </para>
       </listitem>
@@ -1004,8 +1004,8 @@ same commits as above
        </para>
 
        <para>
-        Previously most-common-values (<acronym>MCV</acronym>) were
-        chosen based on their significance compared to all column
+        Previously, the most-common-values (<acronym>MCV</acronym>) were
+        chosen based on their frequency compared to all column
         values.  Now, <acronym>MCV</acronym> are chosen based on their
         significance compared to the non-<acronym>MCV</acronym> values.
         This improves the statistics for uniform (fewer) and non-uniform
@@ -1024,7 +1024,7 @@ same commits as above
        </para>
 
        <para>
-        Previously such cases used the same selectivity as &gt; and
+        Previously, such cases used the same selectivity as &gt; and
         &lt;, respectively.  This change is particularly useful for
         <literal>BETWEEN</literal> with small ranges.
        </para>
@@ -1095,8 +1095,8 @@ same commits as above
 
        <para>
         This feature requires <application>LLVM</application> to be
-        available, and it is not currently enabled by default, even in
-        builds that support it.
+        available. Even in builds that include <application>LLVM</application>,
+        <acronym>JIT</acronym> compilation is disabled by default.
        </para>
       </listitem>
 
@@ -1172,7 +1172,7 @@ same commits as above
        </para>
 
        <para>
-        Previously only non-join <command>UPDATE</command>s and
+        Previously, only non-join <command>UPDATE</command>s and
         <command>DELETE</command>s were pushed.
        </para>
 
@@ -1351,7 +1351,7 @@ same commits as above
         <literal>pg_execute_server_program</literal>.  These roles now also
         control who can use <command>COPY</command> and extension <link
         linkend="file-fdw"><application>file_fdw</application></link>.
-        Previously only superusers could use these functions, and that
+        Previously, only superusers could use these functions, and that
         is still the default behavior.
        </para>
       </listitem>
@@ -1390,8 +1390,7 @@ same commits as above
        </para>
 
        <para>
-        Previously, superusers were exclusively granted access to these
-        functions.
+        Previously, only superusers were granted access to these functions.
        </para>
 
        <para>
@@ -1415,7 +1414,7 @@ same commits as above
        <para>
         <productname>PostgreSQL</productname> only allows superusers to
         access <application>postgres_fdw</application> tables without
-        passwords, e.g. via <literal>peer</literal>.  Previously the
+        passwords, e.g. via <literal>peer</literal>.  Previously, the
         session owner had to be a superuser to allow such access;  now
         the view owner is checked instead.
        </para>
@@ -1519,7 +1518,7 @@ same commits as above
        </para>
 
        <para>
-        Previously the 16MB default could only be changed at compile time.
+        Previously, the 16MB default could only be changed at compile time.
        </para>
       </listitem>
 
@@ -1529,13 +1528,12 @@ same commits as above
 -->
 
        <para>
-        No longer retain <acronym>WAL</acronym> that spans two checkpoints
+        Retain <acronym>WAL</acronym> for a single checkpoint, only.
         (Simon Riggs)
        </para>
 
        <para>
-        The retention of <acronym>WAL</acronym> records for only one
-        checkpoint is required.
+        Previously, <acronym>WAL</acronym> was retained for two checkpoints.
        </para>
       </listitem>
 
@@ -1610,7 +1608,7 @@ same commits as above
 -->
 
        <para>
-        Allow heap pages checksums to be checked during streaming base
+        Allow checksums of heap pages to be verified during streaming base
         backup (Michael Banck)
        </para>
       </listitem>
@@ -1626,7 +1624,7 @@ same commits as above
        </para>
 
        <para>
-        This allows efficient advancement replication slots when the
+        This allows efficient advancing of replication slots when the
         contents do not need to be consumed.  This is performed by
         <function>pg_replication_slot_advance()</function>.
        </para>
@@ -1894,7 +1892,7 @@ same commits as above
        <para>
         Allow <function>to_char()</function> and
         <function>to_timestamp()</function> to specify the time zone's
-        hours and minutes from <acronym>UTC</acronym> (Nikita Glukhov,
+        offset from <acronym>UTC</acronym> in hours and minutes (Nikita Glukhov,
         Andrew Dunstan)
        </para>
 
@@ -1970,7 +1968,7 @@ same commits as above
         PROCEDURE</command></link> command and invoked via <link
         linkend="sql-call"><command>CALL</command></link>.  The new
         <command>ALTER</command>/<command>DROP ROUTINE</command> commands
-        allows altering/dropping of procedures, functions, and aggregates.
+        allow for altering/dropping of procedures, functions, and aggregates.
        </para>
       </listitem>
 
@@ -2019,7 +2017,7 @@ same commits as above
        </para>
 
        <para>
-        Previously such circumstances generated errors.
+        Previously, such circumstances generated errors.
        </para>
       </listitem>
 
@@ -2188,7 +2186,7 @@ same commits as above
        </para>
 
        <para>
-        Previously partition information would not be displayed for a
+        Previously, partition information would not be displayed for a
         partitioned table if it had no partitions.  Also indicate which
         partitions are themselves partitioned.
        </para>
@@ -2270,7 +2268,7 @@ same commits as above
        </para>
 
        <para>
-        Previously tab completion queries could fail.
+        Previously, tab completion queries could fail.
        </para>
 
       </listitem>
@@ -2789,9 +2787,9 @@ same commits as above
 -->
 
        <para>
-        Make the computation of system column
+        Make the computation of
         <structname>pg_class</structname>.<structfield>reltuples</structfield>
-        consistent (Tomas Vondra)
+        by VACUUM consistent with computation by ANALYZE (Tomas Vondra)
        </para>
       </listitem>
 
@@ -2951,7 +2949,7 @@ same commits as above
        </para>
 
        <para>
-        Previously only superusers could call adminpack functions;
+        Previously, only superusers could call adminpack functions;
         now role permissions are checked.
        </para>
       </listitem>
-- 
2.14.3 (Apple Git-98)

